GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions
gtk/gtkdatabox_xyc_graph.c File Reference
`#include <gtkdatabox_xyc_graph.h>`
Include dependency graph for gtkdatabox_xyc_graph.c:

## Data Structures

struct | _GtkDataboxXYCGraphPrivate

## Enumerations

enum | { PROP_X = 1, PROP_Y, PROP_LEN }

## Functions

gfloat * | gtk_databox_xyc_graph_get_X (GtkDataboxXYCGraph *xyc_graph)
gfloat * | gtk_databox_xyc_graph_get_Y (GtkDataboxXYCGraph *xyc_graph)
guint | gtk_databox_xyc_graph_get_length (GtkDataboxXYCGraph *xyc_graph)
GType | gtk_databox_xyc_graph_get_type (void)

## Enumeration Type Documentation

anonymous enum

Enumerator:

  PROP_X |
  PROP_Y |
  PROP_LEN |

## Function Documentation

guint gtk_databox_xyc_graph_get_length | ( | GtkDataboxXYCGraph * | xyc_graph | ) |

gtk_databox_xyc_graph_get_length: : A GtkDataboxXYCGraph object

Gets the the length of the X and Y values arrays.

Return value: Length of X/Y arrays.

Here is the caller graph for this function:

GType gtk_databox_xyc_graph_get_type | ( | void |  | ) |

gfloat* gtk_databox_xyc_graph_get_X | ( | GtkDataboxXYCGraph * | xyc_graph | ) |

gtk_databox_xyc_graph_get_X: : A GtkDataboxXYCGraph object

Gets the X values of the .

Return value: Pointer to X values

gfloat* gtk_databox_xyc_graph_get_Y | ( | GtkDataboxXYCGraph * | xyc_graph | ) |

gtk_databox_xyc_graph_get_Y: : A GtkDataboxXYCGraph object

Gets the Y values of the .

Return value: Pointer to Y values

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines